Переполнение буфера в Winamp gen_msn

Дата публикации:
13.01.2009
Дата изменения:
13.01.2009
Всего просмотров:
2831
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
gen_msn 0.x (палгин к Winamp)
Уязвимые версии: gen_msn (плагин к Winamp) 0.31, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в библиотеке gen_msn.dll при обработке слишком длинных данных в плейлисте. Удаленный пользователь может с помощью специально сформированного плейлиста вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: myplugins.info/msn-messenger-plugin.php

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: WinAmp GEN_MSN Plugin Heap Buffer Overflow PoC

или введите имя

CAPTCHA